Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List brands

Lists brands (minimal fields) with pagination.

GET/api/v2/{team_slug}/{app_slug}/brands
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Query parameters
pageinteger
per-pageinteger
searchstring
slugstring[]

Repeatable slug filter

brand-idstring[]

Repeatable brand id

Responses
200

OK

dataBrandBase[]required
Show properties
Array of BrandBase
idUUIDrequired
namestringrequired
slugstringrequired
coverBrandImage | null
Show properties
Any of:
BrandImage
idUUIDrequired
titlestring | null
urlstringrequired
null
null
logoBrandImage | null
Show properties
Any of:
BrandImage
idUUIDrequired
titlestring | null
urlstringrequired
null
null
descriptionstring | null
emailstring | null
addressBrandAddress
Show properties
street_addressstringrequired
co_addressstring | null
citystringrequired
state_provincestring | null
house_numberstring | null
postal_codestringrequired
countrystringrequired
created_atstring<date-time>required
updated_atstring<date-time> | null
translationsBrandTranslation
Show properties
descriptionTranslation[]
Show properties
Array of Translation
idUUID
localestring
valuestring
total_pagesintegerrequired
total_itemsintegerrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/brands' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "cover": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "title": "string",
        "url": "string"
      },
      "logo": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "title": "string",
        "url": "string"
      },
      "description": "string",
      "email": "string",
      "address": {
        "street_address": "string",
        "co_address": "string",
        "city": "string",
        "state_province": "string",
        "house_number": "string",
        "postal_code": "string",
        "country": "string"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "translations": {
        "description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ]
      }
    }
  ],
  "total_pages": 0,
  "total_items": 0
}